cURL
curl --request GET \
--url https://api.recoupable.com/api/subscriptions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"subscription": {
"id": "<string>",
"object": "subscription",
"customer": "<string>",
"currency": "<string>",
"current_period_start": 123,
"current_period_end": 123,
"cancel_at_period_end": true,
"created": 123,
"items": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "subscription_item",
"price": {
"id": "<string>",
"currency": "<string>",
"unit_amount": 123,
"recurring": {
"interval_count": 123
}
},
"quantity": 123
}
],
"has_more": true,
"total_count": 123
},
"latest_invoice": "<string>",
"livemode": true,
"metadata": {}
}
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Subscriptions
Get Subscriptions
Retrieve subscription information for an account. For accounts with enterprise plans, returns a simplified response indicating enterprise status. For standard accounts, returns the full Stripe subscription object.
GET
/
api
/
subscriptions
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the account to query
⌘I
